/************************************************************************************/
/* Copyright ?????????                                                              */
/* All rights reserved.                                                             */  
/*                                                                                  */
/************************************************************************************/
/*                                                                                  */
/* AUTHOR: Aby Louw                                                                 */
/* Email:                                                                           */
/* MODIFIED: Feb 10, 2004                                                           */
/*                                                                                  */
/************************************************************************************/
#ifndef __VECTORWINDOW_H__
#define __VECTORWINDOW_H__


/* EST Speech Tools includes */
#include "EST.h"
#include "EST_types.h"
#include "EST_error.h"


class VectorWindow
{
  private:
    /* variables */

    int startx;              /* starting point of window with respect to windowed vector */
    int endx;                /* end point of window with respect to windowed vector */
    int centerx;             /* center point of window with respect to windowed vector */
    int lngth;               /* window length */
    EST_FVector window;      /* actual values of window vector */

    /* functions */
    int getoddlength(int l); /* checks to see if length l is odd, if not it adds 1 */

   
  public:
    /* copy constructor */
    VectorWindow(const VectorWindow& a);


/*     /\* default  constructor *\/ */
/*     VectorWindow(); */
    
    /* Initialized constructor */
    VectorWindow(EST_FVector orig = 0, int centerx = 0, int length = 0);

     // Desructor
    ~VectorWindow();

    /* assign window to new (part of) vector */
    void assign(EST_FVector orig, int centerx, int length);

    /* get the value of the window at point x */
    float getvalue(int x);

    /* return window length */
    int length();

    /* return start value */
    int start();
    
    /* return end value */
    int end();

    /* return center value */
    int center();

    /* set the value of the window at point x */
    void setvalue(int x, float v);

    /* insert window into vector */
    void win2vector(EST_FVector& orig);
};



#endif
